org.jbpm.kie.services.impl.bpmn2.builder.dialect.mvel

## Class ThreadLocalMvelActionBuilder

- java.lang.Object
- - org.jbpm.kie.services.impl.bpmn2.builder.dialect.ThreadLocalAbstractBuilderFacade<ActionBuilder>
  - - org.jbpm.kie.services.impl.bpmn2.builder.dialect.mvel.ThreadLocalMvelActionBuilder

- All Implemented Interfaces:
    ActionBuilder

      public class ThreadLocalMvelActionBuilder
      extends ThreadLocalAbstractBuilderFacade<ActionBuilder>
      implements ActionBuilder

  See Also:
    `ThreadLocalAbstractBuilderFacade}`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ThreadLocalMvelActionBuilder()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `build(org.drools.compiler.rule.builder.PackageBuildContext context, DroolsAction action, org.drools.compiler.lang.descr.ActionDescr actionDescr, ContextResolver contextResolver)`
    `DataServiceExpressionBuilder` | `getDataServiceBuilderInstance()`
    `ActionBuilder` | `getDefaultBuilderInstance()`
    `ActionBuilder` | `getThreadLocalBuilder()`
    `void` | `setThreadLocalBuilder(ActionBuilder actionBuilder)`

    - ### Methods inherited from class org.jbpm.kie.services.impl.bpmn2.builder.dialect.ThreadLocalAbstractBuilderFacade

      `resetThreadLocalBuilder, useDataServiceBuilder`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ThreadLocalMvelActionBuilder

          public ThreadLocalMvelActionBuilder()

  - ### Method Detail

    - #### build

          public void build(org.drools.compiler.rule.builder.PackageBuildContext context,
                   DroolsAction action,
                   org.drools.compiler.lang.descr.ActionDescr actionDescr,
                   ContextResolver contextResolver)

      Specified by:
        `build` in interface `ActionBuilder`

    - #### getThreadLocalBuilder

          public ActionBuilder getThreadLocalBuilder()

      Specified by:
        `getThreadLocalBuilder` in class `ThreadLocalAbstractBuilderFacade<ActionBuilder>`

    - #### setThreadLocalBuilder

          public void setThreadLocalBuilder(ActionBuilder actionBuilder)

      Specified by:
        `setThreadLocalBuilder` in class `ThreadLocalAbstractBuilderFacade<ActionBuilder>`

    - #### getDataServiceBuilderInstance

          public DataServiceExpressionBuilder getDataServiceBuilderInstance()

      Specified by:
        `getDataServiceBuilderInstance` in class `ThreadLocalAbstractBuilderFacade<ActionBuilder>`

    - #### getDefaultBuilderInstance

          public ActionBuilder getDefaultBuilderInstance()

      Specified by:
        `getDefaultBuilderInstance` in class `ThreadLocalAbstractBuilderFacade<ActionBuilder>`

Copyright © 2001–2015 JBoss by Red Hat. All rights reserved.